Bug 196333 - www/webkit-gtk2: allow to build with GNU binutils installed
Summary: www/webkit-gtk2: allow to build with GNU binutils installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-28 18:29 UTC by Christoph Moench-Tegeder
Modified: 2016-05-05 17:31 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
add AR to CONFIGURE_ENV (409 bytes, patch)
2014-12-28 18:29 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2014-12-28 18:29:38 UTC
Created attachment 151042 [details]
add AR to CONFIGURE_ENV

Just as with www/webkit-gtk3 (see ports/19550), www/webkit-gtk2 fails to build when devel/binutils is installed and GNU ar is found in $PATH before base system's ar.
For log of a failed build, see http://lists.freebsd.org/pipermail/freebsd-ports/2014-December/097266.html - the problem is also reproducable on my system.

Fix as usual - by forcing the use of base system's ar via CONFIGURE_ENV.
Comment 1 Bugzilla Automation freebsd_committer 2014-12-28 18:29:38 UTC
Auto-assigned to maintainer gnome@FreeBSD.org
Comment 2 david 2014-12-29 00:27:46 UTC
This did not help in my case:

FreeBSD g1-253.catwhisker.org 10.1-STABLE FreeBSD 10.1-STABLE #1425  r276327M/276328:1001504: Sun Dec 28 04:51:43 PST 2014     root@g1-253.catwhisker.org:/common/S1/obj/usr/src/sys/CANARY  i386

Ports working directory is head @375699; the attempt died at:

  CXX      Source/JavaScriptCore/yarr/libjavascriptcoregtk_1_0_la-YarrJIT.lo
  CXX      Source/JavaScriptCore/yarr/libjavascriptcoregtk_1_0_la-YarrPattern.lo
  CXX      Source/JavaScriptCore/yarr/libjavascriptcoregtk_1_0_la-YarrSyntaxChecker.lo
  CXX      DerivedSources/JavaScriptCore/libjavascriptcoregtk_1_0_la-InspectorJSBackendDispatchers.lo
  CXX      DerivedSources/JavaScriptCore/libjavascriptcoregtk_1_0_la-InspectorJSFrontendDispatchers.lo
  CXX      DerivedSources/JavaScriptCore/libjavascriptcoregtk_1_0_la-InspectorJSTypeBuilders.lo
  CXXLD    libjavascriptcoregtk-1.0.la
c++: warning: argument unused during compilation: '-pthread'
c++: warning: argument unused during compilation: '-pthread'
c++: warning: argument unused during compilation: '-pthread'
c++: warning: argument unused during compilation: '-pthread'
  CXXLD    libwebkitgtk-1.0.la
  CXXLD    Programs/jsc-1
  CCLD     Programs/minidom
c++: warning: argument unused during compilation: '-pthread'
c++: warning: argument unused during compilation: '-pthread'
c++: warning: argument unused during compilation: '-pthread'
c++: warning: argument unused during compilation: '-pthread'
c++: warning: argument unused during compilation: '-pthread'
c++: warning: argument unused during compilation: '-pthread'
c++: warning: argument unused during compilation: '-pthread'
  GEN      Programs/jsc
  GEN      WebKit-1.0.gir
  CCLD     Programs/GtkLauncher
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::bufferData(unsigned int, int, void const*, unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::scissor(int, int, int, int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::activeTexture(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::depthMask(unsigned char)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::platformGraphicsContext3D()'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::texSubImage2D(unsigned int, int, int, int, int, int, unsigned int, unsigned int, void const*)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::isGLES2Compliant() const'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::deleteFramebuffer(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::getAttribLocation(unsigned int, WTF::String const&)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::getContextAttributes()'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::deleteTexture(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::deleteShader(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::uniform1fv(int, int, float*)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::makeContextCurrent()'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::texParameteri(unsigned int, unsigned int, int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::openGLFunctionTable()'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::texImage2D(unsigned int, int, unsigned int, int, int, int, unsigned int, unsigned int, void const*)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::createBuffer()'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::linkProgram(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::bindFramebuffer(unsigned int, unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::drawArrays(unsigned int, int, int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::getExtensions()'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::getUniformLocation(unsigned int, WTF::String const&)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::useProgram(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::stencilOp(unsigned int, unsigned int, unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::uniform4f(int, float, float, float, float)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::texParameterf(unsigned int, unsigned int, float)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::attachShader(unsigned int, unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::checkFramebufferStatus(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::createProgram()'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::texImage2DDirect(unsigned int, int, unsigned int, int, int, int, unsigned int, unsigned int, void const*)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::clearDepth(float)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::framebufferRenderbuffer(unsigned int, unsigned int, unsigned int, unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::pixelStorei(unsigned int, int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::~GraphicsContext3D()'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::shaderSource(unsigned int, WTF::String const&)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::viewport(int, int, int, int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::framebufferTexture2D(unsigned int, unsigned int, unsigned int, unsigned int, int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::createForCurrentGLContext()'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::renderbufferStorage(unsigned int, unsigned int, int, int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::bindRenderbuffer(unsigned int, unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::readPixels(int, int, int, int, unsigned int, unsigned int, void*)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::vertexAttribPointer(unsigned int, int, unsigned int, unsigned char, int, int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::deleteBuffer(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::stencilFunc(unsigned int, int, unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::stencilMask(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::getError()'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::enableVertexAttribArray(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::createShader(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::clearColor(float, float, float, float)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::colorMask(unsigned char, unsigned char, unsigned char, unsigned char)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::compileShader(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::uniformMatrix4fv(int, int, unsigned char, float*)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::clear(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::texImage2DResourceSafe(unsigned int, int, unsigned int, int, int, int, unsigned int, unsigned int, int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::enable(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::bindBuffer(unsigned int, unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::disable(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::getIntegerv(unsigned int, int*)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::createTexture()'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::deleteProgram(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::detachShader(unsigned int, unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::uniform1i(int, int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::blendFunc(unsigned int, unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::isEnabled(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::deleteRenderbuffer(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::initializeOpenGLShims()'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::stencilMaskSeparate(unsigned int, unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::lineWidth(float)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::disableVertexAttribArray(unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::uniform1f(int, float)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::createRenderbuffer()'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::bindTexture(unsigned int, unsigned int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::createFramebuffer()'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::clearStencil(int)'
./.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::uniform2f(int, float, float)'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
GNUmakefile:40511: recipe for target 'Programs/GtkLauncher' failed
gmake[3]: *** [Programs/GtkLauncher] Error 1
gmake[3]: *** Waiting for unfinished jobs....
Source/WebKit/gtk/webkit/webkitversion.h:37: Warning: WebKit: symbol='WEBKITGTK_API_VERSION': Unknown namespace for symbol 'WEBKITGTK_API_VERSION'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::bufferData(unsigned int, int, void const*, unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::scissor(int, int, int, int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::activeTexture(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::depthMask(unsigned char)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::platformGraphicsContext3D()'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::texSubImage2D(unsigned int, int, int, int, int, int, unsigned int, unsigned int, void const*)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::isGLES2Compliant() const'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::deleteFramebuffer(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::getAttribLocation(unsigned int, WTF::String const&)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::getContextAttributes()'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::deleteTexture(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::deleteShader(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::uniform1fv(int, int, float*)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::makeContextCurrent()'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::texParameteri(unsigned int, unsigned int, int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::openGLFunctionTable()'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::texImage2D(unsigned int, int, unsigned int, int, int, int, unsigned int, unsigned int, void const*)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::createBuffer()'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::linkProgram(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::bindFramebuffer(unsigned int, unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::drawArrays(unsigned int, int, int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::getExtensions()'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::getUniformLocation(unsigned int, WTF::String const&)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::useProgram(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::stencilOp(unsigned int, unsigned int, unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::uniform4f(int, float, float, float, float)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::texParameterf(unsigned int, unsigned int, float)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::attachShader(unsigned int, unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::checkFramebufferStatus(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::createProgram()'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::texImage2DDirect(unsigned int, int, unsigned int, int, int, int, unsigned int, unsigned int, void const*)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::clearDepth(float)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::framebufferRenderbuffer(unsigned int, unsigned int, unsigned int, unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::pixelStorei(unsigned int, int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::~GraphicsContext3D()'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::shaderSource(unsigned int, WTF::String const&)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::viewport(int, int, int, int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::framebufferTexture2D(unsigned int, unsigned int, unsigned int, unsigned int, int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::createForCurrentGLContext()'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::renderbufferStorage(unsigned int, unsigned int, int, int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::bindRenderbuffer(unsigned int, unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::readPixels(int, int, int, int, unsigned int, unsigned int, void*)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::vertexAttribPointer(unsigned int, int, unsigned int, unsigned char, int, int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::deleteBuffer(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::stencilFunc(unsigned int, int, unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::stencilMask(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::getError()'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::enableVertexAttribArray(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::createShader(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::clearColor(float, float, float, float)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::colorMask(unsigned char, unsigned char, unsigned char, unsigned char)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::compileShader(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::uniformMatrix4fv(int, int, unsigned char, float*)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::clear(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::texImage2DResourceSafe(unsigned int, int, unsigned int, int, int, int, unsigned int, unsigned int, int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::enable(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::bindBuffer(unsigned int, unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::disable(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::getIntegerv(unsigned int, int*)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::createTexture()'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::deleteProgram(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::detachShader(unsigned int, unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::uniform1i(int, int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::blendFunc(unsigned int, unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::isEnabled(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::deleteRenderbuffer(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::initializeOpenGLShims()'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::stencilMaskSeparate(unsigned int, unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::lineWidth(float)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::disableVertexAttribArray(unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::uniform1f(int, float)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::createRenderbuffer()'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::bindTexture(unsigned int, unsigned int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::createFramebuffer()'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::clearStencil(int)'
/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `WebCore::GraphicsContext3D::uniform2f(int, float, float)'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
linking of temporary binary failed: Command '['/bin/sh', './libtool', '--mode=link', '--tag=CC', '--silent', 'cc', '-o', '/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/tmp-introspectwpBW1t/WebKit-1.0', '-export-dynamic', '-I/usr/local/include', '-O2', '-pipe', '-fstack-protector', '-fno-strict-aliasing', '-pthread', '-std=c99', '-Qunused-arguments', '-O2', '-Wno-deprecated-declarations', '-L/usr/local/lib', '-fstack-protector', '-Wl,--no-demangle', '/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/tmp-introspectwpBW1t/WebKit-1.0.o', '-L.', '-lwebkitgtk-1.0', '-ljavascriptcoregtk-1.0', '-Wl,--export-dynamic', '-lgmodule-2.0', '-lgtk-x11-2.0', '-lgdk-x11-2.0', '-lpangocairo-1.0', '-latk-1.0', '-lcairo', '-pthread', '-lgdk_pixbuf-2.0', '-lpangoft2-1.0', '-lpango-1.0', '-lfontconfig', '-lfreetype', '-lsoup-2.4', '-lgio-2.0', '-lgobject-2.0', '-L/usr/local/lib', '-lglib-2.0', '-lintl']' returned non-zero exit status 1
GNUmakefile:82426: recipe for target 'WebKit-1.0.gir' failed
gmake[3]: *** [WebKit-1.0.gir] Error 1
gmake[3]: Leaving directory '/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7'
GNUmakefile:25663: recipe for target 'all' failed
gmake[2]: *** [all] Error 2
gmake[2]: Leaving directory '/common/ports/www/webkit-gtk2/work/webkitgtk-2.4.7'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /common/ports/www/webkit-gtk2
*** Error code 1

Stop.
make: stopped in /common/ports/www/webkit-gtk2

===>>> make build failed for www/webkit-gtk2
===>>> Aborting update


===>>> You can restart from the point of failure with this command line:
       portmaster <flags> www/webkit-gtk2
Comment 3 Christoph Moench-Tegeder freebsd_committer 2014-12-29 08:55:43 UTC
David, your build seems to die on even another issue (one I haven't seen so far). Is there anything special in your build (non-default compiler, OPTIONS, manual intervention) or system (make.conf etc)?
Comment 4 david 2014-12-29 13:40:15 UTC
"Special?"... I don't *think* so... With minor adjustments along the way, I've been updating FreeBSD systems this way since around 1999. :-}

As of this morning, I'm running:
FreeBSD g1-253.catwhisker.org 10.1-STABLE FreeBSD 10.1-STABLE #1426  r276353M/276358:1001504: Mon Dec 29 05:11:42 PST 2014     root@g1-253.catwhisker.org:/common/S1/obj/usr/src/sys/CANARY  i386

And the ports working copy is now at r375783.

g1-253(10.1-S)[3] cat /etc/make.conf
# CFLAGS+=      -g
SENDMAIL_MC=/etc/mail/laptop.mc
NET_SNMP_SYS_CONTACT="david@catwhisker.org"
NET_SNMP_SYS_LOCATION="variable"
NET_SNMP_LOGFILE=/var/log/snmpd.log
NET_SNMP_PERSISTENTDIR=/var/net-snmp
WITH_BSD_JDK=TRUE
FORCE_PKG_REGISTER=     NO
# For mplayer
WITHOUT_RUNTIME_CPUDETECTION=   YES
OPTIONS_SET=OPTIMIZED_CFLAGS
WITHOUT_CJK=    YES
NO_SUID_XSERVER=YES
INSTALL_AS_NCFTP=yes
g1-253(10.1-S)[4] ^make^src
cat /etc/src.conf
KERNCONF=CANARY
PORTS_MODULES=x11/nvidia-driver
CC=clang
CXX=clang++
CPP=clang-cpp
WITH_LIBCPLUSPLUS=yes
WITHOUT_PKGTOOLS=yes
g1-253(10.1-S)[5] 

No manual intervention (save for my attempt to use the approach of forcing the port Makefile to use system ar, vs. the FSF/GNU version -- which I've reverted now).

Only other thing I think of is that I've seen that some software abuses realpath(1) and then freaks out because on my systems, some hierarchies that "appear" to be in /usr reside elsewhere (with the "appearance" provided by symlinks).  In particular:

g1-253(10.1-S)[7] ls -lT /usr | grep -- '->'
lrwxr-xr-x   1 root     wheel     10 Sep 27 15:13:24 2010 X11R6 -> /usr/local
lrwxr-xr-x   1 root     wheel     13 Sep 11 03:59:34 2014 local -> /common/local
lrwxr-xr-x   1 root     wheel     14 Oct 26 20:01:21 2014 obj -> /common/S1/obj
lrwxr-xr-x   1 cvsupin  wheel     13 Sep 27 08:47:04 2010 ports -> /common/ports
g1-253(10.1-S)[8] 

(Much of this is because I have the system configured to boot from any of the 4 MBR-defined slices; I think it's unreasonable to maintain a separate ports working copy for each, and while I'm willing to try to keep one copy of ports up-to-date on a daily basis, I'm not willing to do so for more than one (unless the process can be sped up by a factor of at least 2).  In general, I build ports under the oldest stable branch of FreeBSD that I'm running -- 10, for the last several months -- and use the ports thus built & installed in that branch and on up to head.  The notable exception here in x11/nvidia-driver: that gets rebuilt every time I rebuild the kernel, which is (generally) daily... under each branch of FreeBSD I run (stable/10 and head, for the last several months).)
Comment 5 peo 2015-01-04 23:03:20 UTC
Patch did not help here either -

FreeBSD 9.3-STABLE #1 r276500

no make.conf
no src.conf

portstree from today Jan 4 @ around 1700 UTC

CXX      DerivedSources/JavaScriptCore/libjavascriptcoregtk_1_0_la-InspectorJSTypeBuilders.lo
  CXXLD    libjavascriptcoregtk-1.0.la
  CXXLD    libwebkitgtk-1.0.la
  CXXLD    Programs/jsc-1
  CCLD     Programs/minidom
  GEN      Programs/jsc
  GEN      WebKit-1.0.gir
  CCLD     Programs/GtkLauncher
./.libs/libwebkitgtk-1.0.so: undefined reference to `_ZN7WebCore17GraphicsContext3D7scissorEiiii'

[...] lots of undefined here


collect2: error: ld returned 1 exit status
GNUmakefile:40511: recipe for target 'Programs/GtkLauncher' failed
gmake[1]: *** [Programs/GtkLauncher] Error 1
gmake[1]: *** Waiting for unfinished jobs....
Source/WebKit/gtk/webkit/webkitversion.h:37: Warning: WebKit: symbol='WEBKITGTK_API_VERSION': Unknown namespace for symbol 'WEBKITGTK_API_VERSION'

/usr/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/.libs/libwebkitgtk-1.0.so: undefined reference to `_ZN7WebCore17GraphicsContext3D7scissorEiiii'

[...] lots of more undefined here

collect2: error: ld returned 1 exit status
linking of temporary binary failed: Command '['/bin/sh', './libtool', '--mode=link', '--tag=CC', '--silent', 'gcc48', '-o', '/usr/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/tmp-introspectW471u4/WebKit-1.0', '-export-dynamic', '-I/usr/local/include', '-O2', '-pipe', '-fstack-protector', '-Wl,-rpath=/usr/local/lib/gcc48', '-fno-strict-aliasing', '-pthread', '-std=c99', '-O2', '-D_FORTIFY_SOURCE=2', '-Wno-deprecated-declarations', '-L/usr/local/lib', '-fstack-protector', '-Wl,-rpath=/usr/local/lib/gcc48', '-L/usr/local/lib/gcc48', '-Wl,--no-demangle', '/usr/ports/www/webkit-gtk2/work/webkitgtk-2.4.7/tmp-introspectW471u4/WebKit-1.0.o', '-L.', '-lwebkitgtk-1.0', '-ljavascriptcoregtk-1.0', '-Wl,--export-dynamic', '-lgmodule-2.0', '-lgtk-x11-2.0', '-lgdk-x11-2.0', '-lpangocairo-1.0', '-latk-1.0', '-lcairo', '-pthread', '-lgdk_pixbuf-2.0', '-lpangoft2-1.0', '-lpango-1.0', '-lfontconfig', '-lfreetype', '-lsoup-2.4', '-lgio-2.0', '-lgobject-2.0', '-L/usr/local/lib', '-lglib-2.0', '-lintl']' returned non-zero exit status 1
GNUmakefile:82426: recipe for target 'WebKit-1.0.gir' failed
gmake[1]: *** [WebKit-1.0.gir] Error 1
gmake[1]: Leaving directory '/usr/ports/www/webkit-gtk2/work/webkitgtk-2.4.7'
GNUmakefile:25663: recipe for target 'all' failed
gmake: *** [all] Error 2
===> Compilation failed unexpectedly.
Comment 6 Christoph Moench-Tegeder freebsd_committer 2015-01-06 21:45:02 UTC
David's and peo's problem appear to be the same (on FreeBSD 10, ld's error output is way better with c++ sources - demangling already included), but are completely different from what I (and Jerry, in his mail to ports@) originally reported. For the original report, my proposed fix still stands.

The symbols missing in your build should be present except when disabling WEBGL (that's in OPTIONS_DEFAULT, so disabling it is "special" :)).
So, what does make showconfig say about this?
Comment 7 peo 2015-01-06 22:04:43 UTC
This works:

     DEBUG=off: Just enable debug symbols
     FULLDEBUG=off: Enable asserts and other debug support
     WEBAUDIO=on: Web audio support
     WEBGL=on: Enable Web GL support

Any other selection of GL or AUDIO does NOT.

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=196296
Comment 8 commit-hook freebsd_committer 2015-01-10 10:04:33 UTC
A commit references this bug:

Author: kwm
Date: Sat Jan 10 10:03:41 UTC 2015
New revision: 376685
URL: https://svnweb.freebsd.org/changeset/ports/376685

Log:
  MFH: r376609

  Update webkit-gtk[23] to 1.4.8.

  Switch webkit-gtk3 to compiler:c++11-lib instead of homegrown clang code [2].
    This unbreaks the build on 8.x.
  Axe WEBGL and WEBAUDIO options and turn them on by default (like upstream
    intended). Disabling them leads to wierd build failures, due to untested
    build paths. [1]
  Only set -Qunused-arguments if the compiler is clang [2]
  Fix SSL connection issues with some websites after the POODLE vulnerability fix.

  PR:		196333 [1], 196031 [2], 195628 [2], 196296 [1]
  Submitted by:	peo@bsdlabs.com and david@catwhisker.org [1], truckman@ [2]
  Security:	e9ccdb28-9802-11e4-9d9c-bcaec565249c
  Security:	CVE-2014-1344, CVE-2014-1384, CVE-2014-1385, CVE-2014-1386
  Security:	CVE-2014-1387, CVE-2014-1388, CVE-2014-1389, CVE-2014-1390
  Approved by:	portmgr (zi@)

Changes:
_U  branches/2015Q1/
  branches/2015Q1/www/webkit-gtk2/Makefile
  branches/2015Q1/www/webkit-gtk2/distinfo
  branches/2015Q1/www/webkit-gtk2/pkg-plist
  branches/2015Q1/www/webkit-gtk3/Makefile
  branches/2015Q1/www/webkit-gtk3/distinfo
  branches/2015Q1/www/webkit-gtk3/pkg-plist
Comment 9 Christoph Moench-Tegeder freebsd_committer 2015-01-13 20:55:06 UTC
Please note: the issue originally reported here (libWTF.a not usable for ld, because of incompatibilities between GNU ar (from devel/binutils) and the base system's ld) has not been fixed by r376609. What has been fixed were linker errors because of incompletely implemented enable/disable flags in the upstream code.
Comment 10 Koop Mast freebsd_committer 2015-01-13 21:22:17 UTC
The webkit build is then probably finding the port binutils ar before the base version. Can you post your /etc/make.conf and PATH env value?
Comment 11 Christoph Moench-Tegeder freebsd_committer 2015-01-13 21:44:46 UTC
Yes, that's what I was reporting originally here :)
My PATH is "/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin:/usr/games:/home/cmt/bin" (inherited through sudo) which shows why GNU ld is used (it's not in make.conf) - comparing this to a pristine machine I see that's not anywhere near the default PATH (anymore?).
As others are reporting the same problem (see yesterday's report http://lists.freebsd.org/pipermail/freebsd-ports/2015-January/097533.html ) I still believe it's a good idea to force the use of base system's ar as shown in the patch attached to this PR.
Comment 12 commit-hook freebsd_committer 2016-05-05 16:08:29 UTC
A commit references this bug:

Author: rm
Date: Thu May  5 16:08:10 UTC 2016
New revision: 414649
URL: https://svnweb.freebsd.org/changeset/ports/414649

Log:
  www/webkit-gtk[23]: update to 2.4.11

  - update to 2.4.11
  - fix build with Ruby 2.2 default version (ruby symlink doesn't exist anymore)
  - replace CPPFLAGS and LDFLAGS by USES= localbase
  - fix couple of whitespace bugs

  PR:		208961
  PR:     208192
  Submitted by:	olivierd
  Reviewed by:	kwm
  With hat:	gnome
  MFH:		2016Q2 (along with r414478)

  - fix build of webkit-gtk2 on ARM platforms

  PR:     208569
  Reported by:    otacilio.neto@bsd.com.br
  Submitted by:   mikael.urankar@gmail.com

  - fix build of webkit-gtk[23] when GNU binutils is installed

  PR:     195500
  PR:     196333
  Submitted by:   Christoph Moench-Tegeder <cmt@burggraben.net>

Changes:
  head/www/webkit-gtk2/Makefile
  head/www/webkit-gtk2/distinfo
  head/www/webkit-gtk2/files/patch-Source_WTF_wtf_Platform.h
  head/www/webkit-gtk2/pkg-plist
  head/www/webkit-gtk3/Makefile
  head/www/webkit-gtk3/distinfo
  head/www/webkit-gtk3/pkg-plist
Comment 13 Ruslan Makhmatkhanov freebsd_committer 2016-05-05 16:12:41 UTC
Committed, thank you!
Comment 14 commit-hook freebsd_committer 2016-05-05 16:43:43 UTC
A commit references this bug:

Author: rm
Date: Thu May  5 16:42:57 UTC 2016
New revision: 414650
URL: https://svnweb.freebsd.org/changeset/ports/414650

Log:
  MFH: r414478 r414649

  www/webkit-gtk[23]: update to 2.4.10

  Merged from freebsd-ports-gnome development repo.

  Reviewed by:	kwm
  With hat:       gnome

  www/webkit-gtk[23]: update to 2.4.11

  - update to 2.4.11
  - fix build with Ruby 2.2 default version (ruby symlink doesn't exist anymore)
  - replace CPPFLAGS and LDFLAGS by USES= localbase
  - fix couple of whitespace bugs

  PR:		208961
  PR:     208192
  Submitted by:	olivierd
  Reviewed by:	kwm
  With hat:	gnome

  - fix build of webkit-gtk2 on ARM platforms

  PR:     208569
  Reported by:    otacilio.neto@bsd.com.br
  Submitted by:   mikael.urankar@gmail.com

  - fix build of webkit-gtk[23] when GNU binutils is installed

  PR:     195500
  PR:     196333
  Submitted by:   Christoph Moench-Tegeder <cmt@burggraben.net>

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/www/webkit-gtk2/Makefile
  branches/2016Q2/www/webkit-gtk2/distinfo
  branches/2016Q2/www/webkit-gtk2/files/patch-CVE-2014-1748
  branches/2016Q2/www/webkit-gtk2/files/patch-Source_WTF_wtf_Platform.h
  branches/2016Q2/www/webkit-gtk2/pkg-plist
  branches/2016Q2/www/webkit-gtk3/Makefile
  branches/2016Q2/www/webkit-gtk3/distinfo
  branches/2016Q2/www/webkit-gtk3/files/patch-CVE-2014-1748
  branches/2016Q2/www/webkit-gtk3/pkg-plist